Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.rmi.extensions
Class DisconnectMonitorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      java.rmi.UnmarshalException
                          weblogic.rmi.extensions.DisconnectMonitorException

All Implemented Interfaces:
  Serializable

    public final class DisconnectMonitorException

extends UnmarshalException

DisconnectMonitorException is delivered to the DisconnectListener when the heartbeat interval has elapsed.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`DisconnectMonitorException(String message)` Constructs exception with the specified message.
`DisconnectMonitorException(String message, Exception ex)` Constructs exception with the specified message and exception.

Method Summary

Methods inherited from class java.rmi.RemoteException
`getCause, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DisconnectMonitorException

    public DisconnectMonitorException(String message)

  Constructs exception with the specified message.

  Parameters:
    `message` - String message

### DisconnectMonitorException

    public DisconnectMonitorException(String message,
                                      Exception ex)

  Constructs exception with the specified message and exception.

  Parameters:
    `message` - String message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD